org.jboss.resteasy.skeleton.key.config

## Class AuthServerConfig

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.config.AuthServerConfig

-     public class AuthServerConfig
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `accessCodeLifetime`
    `protected String` | `adminRole`
    `protected boolean` | `cancelPropagation`
    `protected String` | `clientKeyPassword`
    `protected String` | `clientKeystore`
    `protected String` | `clientKeystorePassword`
    `protected String` | `clientRole`
    `protected String` | `loginRole`
    `protected String` | `realm`
    `protected String` | `realmKeyAlias`
    `protected String` | `realmKeyStore`
    `protected String` | `realmKeystorePassword`
    `protected String` | `realmPrivateKey`
    `protected String` | `realmPrivateKeyPassword`
    `protected String` | `realmPublicKey`
    `protected List<String>` | `resources`
    `protected boolean` | `ssoDisabled`
    `protected int` | `tokenLifetime`
    `protected String` | `truststore`
    `protected String` | `truststorePassword`
    `protected String` | `wildcardRole`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthServerConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCodeLifetime()`
    `String` | `getAdminRole()`
    `String` | `getClientKeyPassword()`
    `String` | `getClientKeystore()`
    `String` | `getClientKeystorePassword()`
    `String` | `getClientRole()`
    `String` | `getLoginRole()`
    `String` | `getRealm()`
    `String` | `getRealmKeyAlias()`
    `String` | `getRealmKeyStore()`
    `String` | `getRealmKeystorePassword()`
    `String` | `getRealmPrivateKey()`
    `String` | `getRealmPrivateKeyPassword()`
    `String` | `getRealmPublicKey()`
    `List<String>` | `getResources()`
    `int` | `getTokenLifetime()`
    `String` | `getTruststore()`
    `String` | `getTruststorePassword()`
    `String` | `getWildcardRole()`
    `boolean` | `isCancelPropagation()`
    `boolean` | `isSsoDisabled()`
    `void` | `setAccessCodeLifetime(int accessCodeLifetime)`
    `void` | `setAdminRole(String adminRole)`
    `void` | `setCancelPropagation(boolean cancelPropagation)`
    `void` | `setClientKeyPassword(String clientKeyPassword)`
    `void` | `setClientKeystore(String clientKeystore)`
    `void` | `setClientKeystorePassword(String clientKeystorePassword)`
    `void` | `setClientRole(String clientRole)`
    `void` | `setLoginRole(String loginRole)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKeyAlias(String realmKeyAlias)`
    `void` | `setRealmKeyStore(String realmKeyStore)`
    `void` | `setRealmKeystorePassword(String realmKeystorePassword)`
    `void` | `setRealmPrivateKey(String realmPrivateKey)`
    `void` | `setRealmPrivateKeyPassword(String realmPrivateKeyPassword)`
    `void` | `setRealmPublicKey(String realmPublicKey)`
    `void` | `setSsoDisabled(boolean ssoDisabled)`
    `void` | `setTokenLifetime(int tokenLifetime)`
    `void` | `setTruststore(String truststore)`
    `void` | `setTruststorePassword(String truststorePassword)`
    `void` | `setWildcardRole(String wildcardRole)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### realmPrivateKey

          protected String realmPrivateKey

    - #### realmPublicKey

          protected String realmPublicKey

    - #### realmKeyStore

          protected String realmKeyStore

    - #### realmKeystorePassword

          protected String realmKeystorePassword

    - #### realmKeyAlias

          protected String realmKeyAlias

    - #### realmPrivateKeyPassword

          protected String realmPrivateKeyPassword

    - #### accessCodeLifetime

          protected int accessCodeLifetime

    - #### tokenLifetime

          protected int tokenLifetime

    - #### adminRole

          protected String adminRole

    - #### loginRole

          protected String loginRole

    - #### clientRole

          protected String clientRole

    - #### wildcardRole

          protected String wildcardRole

    - #### cancelPropagation

          protected boolean cancelPropagation

    - #### ssoDisabled

          protected boolean ssoDisabled

    - #### truststore

          protected String truststore

    - #### truststorePassword

          protected String truststorePassword

    - #### clientKeystore

          protected String clientKeystore

    - #### clientKeystorePassword

          protected String clientKeystorePassword

    - #### clientKeyPassword

          protected String clientKeyPassword

    - #### resources

          protected List<String> resources

  - ### Constructor Detail

    - #### AuthServerConfig

          public AuthServerConfig()

  - ### Method Detail

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getRealmPrivateKey

          public String getRealmPrivateKey()

    - #### setRealmPrivateKey

          public void setRealmPrivateKey(String realmPrivateKey)

    - #### getRealmPublicKey

          public String getRealmPublicKey()

    - #### setRealmPublicKey

          public void setRealmPublicKey(String realmPublicKey)

    - #### getAccessCodeLifetime

          public int getAccessCodeLifetime()

    - #### setAccessCodeLifetime

          public void setAccessCodeLifetime(int accessCodeLifetime)

    - #### getTruststore

          public String getTruststore()

    - #### setTruststore

          public void setTruststore(String truststore)

    - #### getTruststorePassword

          public String getTruststorePassword()

    - #### setTruststorePassword

          public void setTruststorePassword(String truststorePassword)

    - #### getClientKeystore

          public String getClientKeystore()

    - #### setClientKeystore

          public void setClientKeystore(String clientKeystore)

    - #### getClientKeystorePassword

          public String getClientKeystorePassword()

    - #### setClientKeystorePassword

          public void setClientKeystorePassword(String clientKeystorePassword)

    - #### getClientKeyPassword

          public String getClientKeyPassword()

    - #### setClientKeyPassword

          public void setClientKeyPassword(String clientKeyPassword)

    - #### isCancelPropagation

          public boolean isCancelPropagation()

    - #### setCancelPropagation

          public void setCancelPropagation(boolean cancelPropagation)

    - #### isSsoDisabled

          public boolean isSsoDisabled()

    - #### setSsoDisabled

          public void setSsoDisabled(boolean ssoDisabled)

    - #### getResources

          public List<String> getResources()

    - #### getAdminRole

          public String getAdminRole()

    - #### setAdminRole

          public void setAdminRole(String adminRole)

    - #### getLoginRole

          public String getLoginRole()

    - #### setLoginRole

          public void setLoginRole(String loginRole)

    - #### getClientRole

          public String getClientRole()

    - #### setClientRole

          public void setClientRole(String clientRole)

    - #### getWildcardRole

          public String getWildcardRole()

    - #### setWildcardRole

          public void setWildcardRole(String wildcardRole)

    - #### getRealmKeyStore

          public String getRealmKeyStore()

    - #### setRealmKeyStore

          public void setRealmKeyStore(String realmKeyStore)

    - #### getRealmKeystorePassword

          public String getRealmKeystorePassword()

    - #### setRealmKeystorePassword

          public void setRealmKeystorePassword(String realmKeystorePassword)

    - #### getRealmKeyAlias

          public String getRealmKeyAlias()

    - #### setRealmKeyAlias

          public void setRealmKeyAlias(String realmKeyAlias)

    - #### getRealmPrivateKeyPassword

          public String getRealmPrivateKeyPassword()

    - #### setRealmPrivateKeyPassword

          public void setRealmPrivateKeyPassword(String realmPrivateKeyPassword)

    - #### getTokenLifetime

          public int getTokenLifetime()

    - #### setTokenLifetime

          public void setTokenLifetime(int tokenLifetime)

Copyright © 2014. All Rights Reserved.